Page MenuHomePhabricator

Set up direct debit (autogiro)
Open, HighPublic

Description

To do

  • ask Swedbank about direct debit
  • ask Bankgiro about direct debit
  • ask Swedbank about personuppgiftsbiträdesavtal
  • decide how to get mandates (paper form, web page, member's internet bank) We want to use all three.
  • design autogiro paper form - working draft here
  • get autogiro paper form approved by WMSE
  • get autogiro paper form approved by Swedbank
  • set up something in Zynatic so that we can separate members who use direct debit from those who don't
  • activate Fortnox Autogiro
  • set up something that allows us to keep track of which members in Zynatic use autogiro
  • decide how to notify direct debit members (e.g. sending them an e-mail with the invoice, can be done from Fortnox)
  • create webpage for mandates
  • let Swedbank know that we want to receive mandates via paper form, webpage and internet bank
  • get authority for Maria to do file transfers in Swedbank
  • let the ones we have active mandates for know that we will cancel them
  • do a test
  • inform those who had direct that they can give us a new mandate
  • write a routine for handling autogiro
  • let the members know that autogiro is an option in a newsletter

Information

  • We have a checkbox for autogiro in Zynatic.
  • Direct debit is activated in our bank, cost is 1,80 SEK per received payment.
  • We can administer mandates via Autogiro Online.
  • There is no extra cost associated with activating any of the alternatives for collecting mandates, we just have to let Swedbank know which ones we wan't (source: phone call with Swedbank 191023).
  • We have 13 active mandates in Autogiro Online (July 2019).
  • When debiting members, they need to be notified at least eight bank days before we debit and they need to be sent or have access to an invoice which states that the money will be payed via direct debit. However, if it is a recurring payment, we don't need to notify each time. So we should notify for the membership fee, but we don't need to send invoices for donations.
  • Bankgirot has a paper form we can use to get mandates - if we want to design our own, it needs to be approved by Swedbank before we use it.
  • Swedbank says we don't need a personuppgiftsbiträdesavtal with them, the information on the mandate form is enough.

Links
About direct debit on Swedbank
About direct debit on Bankgirot
Example of webpage signup
Example of instruction for signup via Internet bank
Bankgirot's paper form

Event Timeline

Evelina-Bang-WMSE triaged this task as Medium priority.Sep 23 2017, 9:01 AM

More than one member has written and asked about autogiro, so I've sent a new mail to Opad asking about this.

Autogiro was handled in Civicrm before (https://se.wikimedia.org/wiki/Ekonomiska_rutiner/Autogiro). Maybe the active autogiros were never transferred anywhere?

Lokal_Profil added a subscriber: Lokal_Profil.EditedOct 3 2018, 1:28 PM

@Evelina-Bang-WMSE Can you ping Opad about this again and update the task description to explain:

  • what has happened
  • how this affects existing direct debit members
  • how this affects people wanting to become direct debit members

@Evelina-Bang-WMSE Have you received an answer?

Opad asked me to check with Swedbank what we need to activate autogiro. I've e-mailed our contact person about it.

It seems we will need to add a module to Fortnox for 99 SEK per month. https://support.fortnox.se/hc/sv/articles/115005421409-Kom-ig%C3%A5ng-med-Swedbank#Skapaautogiro-medgivandenochbetalningsuppdrag

Let's activate it in July 2019.

Evelina-Bang-WMSE renamed this task from Check with Opad about direct debit (autogiro) to Set up direct debit (autogiro).Jul 22 2019, 7:20 AM
Evelina-Bang-WMSE updated the task description. (Show Details)
Lokal_Profil added a comment.EditedJul 29 2019, 1:30 PM

André will check with Zynatic if they believe the upcoming support for e-faktura will also be able to support autogiro. Until it is live there we should use the functionality in Fortnox.

André will add a checkbox in Zynatic "aktivt autogiro"

André will add a checkbox in Zynatic "aktivt autogiro"

I added the checkbox. It's added as a prenumeration (similar to "do not email")

Lokal_Profil moved this task from 📆 This week to 👁 Watching on the User-LokalProfil board.

@Evelina-Bang-WMSE Is the task done or should I move it to 2020?

@Evelina-Bang-WMSE Is the task done or should I move it to 2020?

Move it to 2020.

Lokal_Profil updated the task description. (Show Details)Feb 28 2020, 1:26 PM

In april we e-mailed Swedbank because we didn't retrieve the expected file from them that was necessary in order to connect fortnox with the new direct debit (återrapporteringsfil).
They claimed it was because we didn't have a valid annual meeting protocol sent in.
Next step is to send in the new protocol as soon as it is signed with the new digital signature (Wikisignatures are not).
After, set up a new person for a direct debit in Fortnox and send in to Swedbank, contact Swedbank.

  • monitor via flow chart

So it is the "Årsmötesprotokoll" that they need, and not the "Fullmakts- och firmateckningsordning" (the signed document our treasurer sent today at 11.54)? I would hope, and think, that the "Fullmakts- och firmateckningsordning" would be sufficient.

Jenny_Brandt_WMSE raised the priority of this task from Medium to High.Aug 3 2020, 5:28 AM
Jopparn added a comment.EditedAug 5 2020, 2:32 PM

I talked with Nordea about connecting autogiro to the 90-account. They gave me some financial information:

  1. We need to have a communication system in place called Girolink. It costs 1,000 kr/year and 1,000 kr to activate it.
  2. The cost per received transaction is 1.60 kr

They also told me that we will need to send them the board decisions where the decision to get autogiro was taken. The earliest I have found is https://se.wikimedia.org/wiki/Mötesprotokoll/Protokoll_2013-11-11#Autogiro and most recently https://se.wikimedia.org/wiki/Mötesprotokoll/Protokoll_2019-03-16#Årsmöte_2019

The next available time the bank had for a meeting to finalize this was on the 18 August. They will send more information in advance of that.

Questions from the bank were answered today. They will send a document to sign which we should have next week. That should allow us to finalize everything then.

@Jenny_Brandt_WMSE Call fortnox - to see if there is a way to connect monthly donations to the system (automatically)

https://docs.google.com/document/d/1OroJySRReak7mTCM_xA4-JhPx3F8u4oVf6gEQQp7xoU/edit# documents the practical work with autogiro (later to be integrated with Orgassistent document)